NetBSD source update | 1 Oct 03:15 2008
Picon

daily pkgsrc CVS update output


Updating pkgsrc tree:
? pkgsrc/INDEX
? pkgsrc/README-IPv6.html
? pkgsrc/README-all.html
P pkgsrc/audio/cdplayer/Makefile
P pkgsrc/audio/cdplayer/PLIST
P pkgsrc/devel/anjuta/Makefile
P pkgsrc/devel/anjuta/PLIST
P pkgsrc/doc/CHANGES-2008
U pkgsrc/editors/gedit/patches/patch-aa
P pkgsrc/graphics/gimp/buildlink3.mk
P pkgsrc/mail/xmailwatcher/distinfo
U pkgsrc/mail/xmailwatcher/patches/patch-ab
P pkgsrc/misc/openoffice2/distinfo
P pkgsrc/misc/openoffice2/options.mk
P pkgsrc/misc/openoffice2/patches/patch-ba
P pkgsrc/mk/defaults/options.description
P pkgsrc/net/xorp/distinfo
U pkgsrc/net/xorp/patches/patch-aa
U pkgsrc/net/xorp/patches/patch-ab
U pkgsrc/net/xorp/patches/patch-ac
P pkgsrc/sysutils/9base/Makefile
P pkgsrc/sysutils/bacula-clientonly/Makefile
U pkgsrc/sysutils/bacula-clientonly/options.mk
P pkgsrc/sysutils/xentools33/Makefile
P pkgsrc/sysutils/xentools33/PLIST
P pkgsrc/sysutils/xentools33/distinfo
P pkgsrc/sysutils/xentools33/patches/patch-ag
P pkgsrc/sysutils/xentools33/patches/patch-fd
(Continue reading)

Frank Wille | 1 Oct 10:42 2008
Picon

Re: lang/php5 on m68k problems

John Klos wrote:

> /bin/sh /usr/pkgsrc/lang/php5/work/php-5.2.6/libtool --silent 
> --preserve-dup-deps --mode=compile cc  -Iext/standard/ 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/ext/standard/ -DPHP_ATOM_INC 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/include 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/main 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6 -I/usr/local/include/libxml2 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/ext/date/lib 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/TSRM 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/Zend  -I/usr/local/include 
> -I/usr/include  -O2 -I/usr/local/include -I/usr/include  -c 
> /usr/pkgsrc/lang/php5/work/php-5.2.6/ext/standard/filters.c -o 
> ext/standard/filters.lo
> /var/tmp//ccpS22Ph.s: Assembler messages:
> /var/tmp//ccpS22Ph.s:231: Error: value out of range
> /var/tmp//ccpS22Ph.s:231: Error: value of -286 too large for field of 1 
> bytes at 535
> /var/tmp//ccpS22Ph.s:274: Error: value out of range
> /var/tmp//ccpS22Ph.s:274: Error: value of -286 too large for field of 1 
> bytes at 627
> /var/tmp//ccpS22Ph.s:352: Error: value out of range
> /var/tmp//ccpS22Ph.s:352: Error: value of -286 too large for field of 1 
> bytes at 833
> gmake: *** [ext/standard/filters.lo] Error 1
> *** Error code 2
> 
> The temporary files don't stay around long enough to examine. How does 
> one tell the pkgsrc system to leave them?

(Continue reading)

NetBSD source update | 2 Oct 03:12 2008
Picon

daily pkgsrc CVS update output


Updating pkgsrc tree:
? pkgsrc/INDEX
? pkgsrc/README-IPv6.html
? pkgsrc/README-all.html
P pkgsrc/devel/ProjectCenter/Makefile
P pkgsrc/doc/CHANGES-2008
P pkgsrc/doc/TODO
P pkgsrc/graphics/MesaDemos/Makefile
P pkgsrc/graphics/MesaDemos/PLIST
P pkgsrc/graphics/cqcam/Makefile
P pkgsrc/graphics/cqcam/distinfo
U pkgsrc/graphics/cqcam/patches/patch-aa
P pkgsrc/graphics/cqcam/patches/patch-ab
P pkgsrc/graphics/cqcam/patches/patch-ac
U pkgsrc/graphics/cqcam/patches/patch-ad
U pkgsrc/graphics/cqcam/patches/patch-ae
U pkgsrc/graphics/cqcam/patches/patch-af
P pkgsrc/graphics/cqcam/patches/patch-ai
P pkgsrc/graphics/cqcam/patches/patch-aj
P pkgsrc/misc/openoffice2/options.mk
P pkgsrc/net/cmu-dhcpd/Makefile
P pkgsrc/net/cmu-dhcpd/distinfo
U pkgsrc/net/cmu-dhcpd/patches/patch-ag
U pkgsrc/net/cmu-dhcpd/patches/patch-ah
P pkgsrc/pkgtools/libkver/Makefile
P pkgsrc/security/courier-authlib/PLIST
P pkgsrc/security/dsniff/Makefile
P pkgsrc/security/dsniff/distinfo
P pkgsrc/security/dsniff/patches/patch-ac
(Continue reading)

Paul Ripke | 2 Oct 14:02 2008
Picon

Re: lang/php5 on m68k problems

On Tue, Sep 30, 2008 at 05:29:11PM +0000, John Klos wrote:
> Hi,
> 
> Has anyone looked at the issues with building lang/php5 on m68k machines? 
> This is what I get (mac68k, amiga, NetBSD-4):
> 
> /bin/sh /usr/pkgsrc/lang/php5/work/php-5.2.6/libtool --silent 
> --preserve-dup-deps --mode=compile cc  -Iext/standard/ 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/ext/standard/ -DPHP_ATOM_INC 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/include 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/main 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6 -I/usr/local/include/libxml2 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/ext/date/lib 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/TSRM 
> -I/usr/pkgsrc/lang/php5/work/php-5.2.6/Zend  -I/usr/local/include 
> -I/usr/include  -O2 -I/usr/local/include -I/usr/include  -c 
> /usr/pkgsrc/lang/php5/work/php-5.2.6/ext/standard/filters.c -o 
> ext/standard/filters.lo
> /var/tmp//ccpS22Ph.s: Assembler messages:
> /var/tmp//ccpS22Ph.s:231: Error: value out of range
> /var/tmp//ccpS22Ph.s:231: Error: value of -286 too large for field of 1 
> bytes at 535
> /var/tmp//ccpS22Ph.s:274: Error: value out of range
> /var/tmp//ccpS22Ph.s:274: Error: value of -286 too large for field of 1 
> bytes at 627
> /var/tmp//ccpS22Ph.s:352: Error: value out of range
> /var/tmp//ccpS22Ph.s:352: Error: value of -286 too large for field of 1 
> bytes at 833
> gmake: *** [ext/standard/filters.lo] Error 1
> *** Error code 2
(Continue reading)

Frank Wille | 2 Oct 17:08 2008
Picon

Re: lang/php5 on m68k problems

Paul Ripke wrote:

 >On Tue, Sep 30, 2008 at 05:29:11PM +0000, John Klos wrote:
 >>[...]
 >> /var/tmp//ccpS22Ph.s: Assembler messages:
 >> /var/tmp//ccpS22Ph.s:231: Error: value out of range
 >> /var/tmp//ccpS22Ph.s:231: Error: value of -286 too large for field of 1
 >> bytes at 535
 >> /var/tmp//ccpS22Ph.s:274: Error: value out of range
 >> /var/tmp//ccpS22Ph.s:274: Error: value of -286 too large for field of 1
 >> bytes at 627
 >> /var/tmp//ccpS22Ph.s:352: Error: value out of range
 >> /var/tmp//ccpS22Ph.s:352: Error: value of -286 too large for field of 1
 >> bytes at 833
 >        [...]
 >        .set .LI70,.+2
 >        move.w .L70-.LI70.b(%pc,%d1.l*2),%d0
 >.L147:
 >        moveq #6,%d2
 >        cmp.l %d1,%d2
 >        jbcs .L147
 >.L148:
 >        jmp %pc <at> (2,%d0:w)
 >        .align  2
 >.L70:
 >        .word .L63-.L70
 >        .word .L64-.L70
 >        .word .L65-.L70
 >        .word .L66-.L70
 >        .word .L67-.L70
(Continue reading)

NetBSD source update | 3 Oct 03:13 2008
Picon

daily pkgsrc CVS update output


Updating pkgsrc tree:
? pkgsrc/INDEX
? pkgsrc/README-IPv6.html
? pkgsrc/README-all.html
P pkgsrc/databases/sqlite3/Makefile
P pkgsrc/devel/ode/distinfo
U pkgsrc/devel/ode/patches/patch-ac
P pkgsrc/doc/CHANGES-2008
P pkgsrc/ham/gnuradio-core-docs/Makefile
P pkgsrc/ham/gnuradio-core-docs/PLIST
P pkgsrc/ham/usrp-docs/Makefile
P pkgsrc/ham/usrp-docs/PLIST
P pkgsrc/mail/dk-milter/Makefile
P pkgsrc/mail/pine-pgp-filters/Makefile
P pkgsrc/mail/roundcube/Makefile
P pkgsrc/mail/roundcube/PLIST
U pkgsrc/mail/roundcube/distinfo
P pkgsrc/mail/roundcube/patches/patch-aa
U pkgsrc/mail/roundcube/patches/patch-ab
U pkgsrc/mail/roundcube/patches/patch-ac
cvs update: pkgsrc/mail/roundcube/patches/patch-ad is no longer in the repository
cvs update: pkgsrc/mail/roundcube/patches/patch-ae is no longer in the repository
P pkgsrc/mail/roundcube/patches/patch-af
cvs update: pkgsrc/mail/roundcube/patches/patch-ag is no longer in the repository
cvs update: pkgsrc/mail/roundcube/patches/patch-ah is no longer in the repository
P pkgsrc/misc/openoffice2/Makefile
P pkgsrc/misc/vfu/Makefile
P pkgsrc/misc/vfu/distinfo
U pkgsrc/misc/vfu/patches/patch-ak
(Continue reading)

Brook Milligan | 3 Oct 15:19 2008

fetch and interactive packages

There seems to be an inconsistency in the fetching of distfiles for
packages marked 'interactive fetch' and those that are not.  Normally,
the fetching process will honor a set of alternative distfile
locations through the ${DIST_PATH} variable.  However, for packages
marked 'interactive fetch' the distfile _must_ be located within
${DISTDIR} as per the following line in mk/fetch/fetch.mk:

${DISTDIR}/${_file_}: fetch-check-interactive do-fetch-file error-check

This prevents the possibility of placing the distfiles for
'interactive fetch' packages in an appropriate part of ${DIST_PATH}.
I am noticing this because I have some packages for proprietary
software that requires special downloading.  Of course, those
distfiles should not be intermingled with the redistributable ones in
${DISTDIR}.  Under the current system, it is impossible to have both
'interactive fetch' marked and a special location for this type of
distfile.

I'm not certain what make magic to suggest, but it seems that making
the above line somehow check all the components of ${DIST_PATH} (if
set) would be appropriate.

Thoughts?

Cheers,
Brook

Brook Milligan | 3 Oct 15:36 2008

mk/java-vm.mk

It seems that mk/java-vm.mk is the means of determining which java
version to install for packages the have dependencies on java.  While
pkgsrc does have a sun-jdk15 package that can be installed on a Linux
x86_64 machine, there is no indication of such in the definition of
_ONLY_FOR_PLATFORMS.sun-jdk15 in java-vm.mk.  Consequently, I am
finding that packages requiring that dependency are reporting that no
suitable VM exists.  The following patch fixes that immediate problem.

--- java-vm.mk.orig	2008-03-25 07:41:44.000000000 -0600
+++ java-vm.mk	2008-09-30 11:52:26.411110000 -0600
 <at>  <at>  -123,7 +123,7  <at>  <at> 
 	Darwin-[8-9].*-* \
 	DragonFly-*-i386 \
 	FreeBSD-6.*-i386 \
-	Linux-*-i[3-6]86 \
+	Linux-*-i[3-6]86 Linux-*-x86_64 \
 	NetBSD-*-i386 NetBSD-*-x86_64
 _ONLY_FOR_PLATFORMS.sun-jdk6= \
 	DragonFly-*-i386 \

However, I am not really sure if this is appropriate and correct.  I
am also not sure if the obvious additions for the other
_ONLY_FOR_PLATFORM.* variables are appropriate.

Is this the correct thing to be doing?

Thanks for your help.

Cheers,
Brook
(Continue reading)

John Klos | 3 Oct 20:49 2008

pkg_install problem

Hi,

pkgtools/pkg_install from today's CVS tree, NetBSD-4 amd64 system:

cc -DHAVE_CONFIG_H -D_LARGEFILE_SOURCE -D_LARGE_FILES 
-D_FILE_OFFSET_BITS=64 -DDEF_UMASK=0022 
-I/usr/pkgsrc/pkgtools/pkg_install/work/libfetch -DHAVE_NBCOMPAT_H=1 
-I/usr/pkgsrc/pkgtools/pkg_install/work/libnbcompat -I. -I. -I../lib -O2 
-c build.c
cc -L/usr/pkgsrc/pkgtools/pkg_install/work/libfetch 
-L/usr/pkgsrc/pkgtools/pkg_install/work/libnbcompat -Wl,-R/usr/local/lib 
-L../lib -o pkg_create main.o perform.o pl.o util.o build.o -linstall 
-larchive -lbz2 -lz -ltermcap -lnbcompat
ld: cannot find -larchive
*** Error code 1

I remember seeing the "ld: cannot find -larchive" problem before, but I 
don't recall what fixes it. Anyone?

John Klos

NetBSD source update | 4 Oct 03:17 2008
Picon

daily pkgsrc CVS update output


Updating pkgsrc tree:
? pkgsrc/INDEX
? pkgsrc/README-IPv6.html
? pkgsrc/README-all.html
P pkgsrc/audio/terminatorx/distinfo
U pkgsrc/audio/terminatorx/patches/patch-ah
P pkgsrc/databases/sqlrelay/distinfo
U pkgsrc/databases/sqlrelay/patches/patch-ad
P pkgsrc/databases/sqlsharpgtk/Makefile
P pkgsrc/databases/unixodbc/Makefile
P pkgsrc/databases/unixodbc/distinfo
U pkgsrc/databases/unixodbc/patches/patch-ab
P pkgsrc/doc/CHANGES-2008
P pkgsrc/doc/TODO
P pkgsrc/editors/vim-share/Makefile.common
P pkgsrc/editors/vim-share/distinfo
P pkgsrc/editors/vim-share/version.mk
P pkgsrc/games/velena/Makefile
P pkgsrc/lang/tcl-tclX/distinfo
P pkgsrc/lang/tcl-tclX/patches/patch-af
P pkgsrc/mail/milter-greylist/Makefile
P pkgsrc/misc/openoffice2/distinfo
U pkgsrc/misc/openoffice2/patches/patch-dy
P pkgsrc/net/proftpd/Makefile
P pkgsrc/net/proftpd/PLIST
U pkgsrc/net/proftpd/distinfo
P pkgsrc/net/proftpd/patches/patch-aa
P pkgsrc/net/proftpd/patches/patch-ab
P pkgsrc/net/proftpd/patches/patch-ac
(Continue reading)


Gmane